ImaDestinationType (Eclipse Amlen Javadoc Reference)

Package com.ibm.ima.plugin

## Enum ImaDestinationType

- Object
- - Enum<ImaDestinationType>
  - - com.ibm.ima.plugin.ImaDestinationType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ImaDestinationType>`

      public enum ImaDestinationType
      extends Enum<ImaDestinationType>

  Define the destination type as topic or queue

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `queue` | The destination is a queue
    `topic` | The destination is a topic

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COPYRIGHT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ImaDestinationType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ImaDestinationType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### queue

          public static final ImaDestinationType queue

      The destination is a queue

    - #### topic

          public static final ImaDestinationType topic

      The destination is a topic

  - ### Field Detail

    - #### COPYRIGHT

          public static final String COPYRIGHT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static ImaDestinationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImaDestinationType c : ImaDestinationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImaDestinationType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null